<template>
  <div class="FootprintDashboard border border-top-0">
  <!-- <h1 class="title">Empreinte carbone</h1> -->
  <div class="graph-row d-flex align-items-end w-100">
    <Graph label="Mon empreinte carbone annuelle" :user_means="user_means"/>
    <Graph label="Empreinte carbone d'un français moyen" :user_means="mean_cons"/>
  </div>
</div>

</template>

<script>

import Graph from "./Graph.vue";
import mean_cons from "../data/mean_cons.json";

export default {
    components: { Graph},
    props: {
      'user_means': Object,
    },
    data() {
      return {
        mean_cons: mean_cons
      }
    }
    // created() {console.log(this.user_means)}  
  }
  
</script>

<style>
.FootprintDashboard {
  color: black;
  background: white;
  padding: 3%;
  text-align: center;
  
}

.graph-row {
  min-height: 300px;
  margin-top: 10%;
}

</style>